Telegram MethodsPayments
payments.getCurrencyRates
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.getCurrencyRates" \ -H "Content-Type: application/json" \ -d '{ "params": {} }'{ "result": { "_": "payments.currencyRates", "rates": [ { "_": "currencyRate", "currency": "string", "rate": 0.1 } ] }, "txid": 0}getCraftStarGifts
Obtain owned [collectible gifts »](https://core.telegram.org/api/gifts#collectible-gifts) of a specific type that can be used for [crafting »](https://core.telegram.org/api/gifts#crafting-collectible-gifts).
getGiveawayInfo
Obtain information about a [Telegram Premium giveaway »](https://core.telegram.org/api/giveaways).